import Link from "next/link"
import {DateTime} from 'luxon'
import React from "react"

import styles from './style.module.css'

const Footer = () => (
  <footer className={styles.container}>
    <div>
      <h1 className={styles.title}>
        <Link href="/"><a>Society <span>of</span> Socks</a></Link>
      </h1>
      <div className={styles.footerInfo}>
        <p>Website by <a href="https://coleserickson.com/">Cole Erickson</a> - © 2015 - {DateTime.utc().year} Society of Socks</p>
      </div>
      <ul className={styles.footerNav}>
        <li><Link href="#mailingList"><a onClick={(ev)=>{if(ev) ev.preventDefault(); console.log('mailing list')}}>Mailing List</a></Link></li>
        <li><Link href="/contact"><a>Contact Us</a></Link></li>
        <li><Link href="/privacy"><a>Privacy</a></Link></li>
      </ul>
    </div>
  </footer>
)

Footer.propTypes = {
}

Footer.defaultProps = {
}

export default Footer
