module.exports = [
  {
    mapId: 'userMap',
    idProperty: 'uuid',
    properties: [
      'email',
      'password',
      'email_confirmed',
      'time_registered',
      'time_email_confirmed'
    ]
  },{
    mapId: 'populatedUserMap',
    idProperty: 'uuid',
    properties: [
      'email',
      'password',
      'email_confirmed',
      'time_registered',
      'time_email_confirmed'
    ],
    collections: [
      {name: 'login_links', mapId: 'loginLinkMap', columnPrefix: 'login_link_'},
      {name: 'sessions', mapId: 'sessionMap', columnPrefix: 'session_'}
    ]
  },{
    mapId: 'loginLinkMap',
    idProperty: 'uuid',
    properties: [
      'time_created',
      'timeout_length',
      'login_hash'
    ]
  },{
    mapId: 'sessionMap',
    idProperty: 'uuid',
    properties: [
      'time_created',
      'time_last_active',
      'timeout_length',
      'ip_address',
      'user_agent',
      'referer'
    ],
    associations: [
      {name: 'originating_link', mapId: 'loginLinkMap', columnPrefix: 'login_link_'},
      // {name: 'cart', mapId: 'cartMap', columnPrefix: 'cart_'}
    ]
  }
]
